<!DOCTYPE html>
<html lang="en">
	<!--
	This page demonstrates a form.
	-->
	<head>
		<meta charset="utf-8"/>
		<link rel="stylesheet" href="css/styles.css">
		<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
		<script src="js/myApp.js"></script>
		<title>Demonstrating HTML forms</title>
	</head>
	
	<body ng-app="myApp" ng-controller="myCtrl">
		<h1>Turnitin</h1>
		<form name="turnitinForm" lang="fi" action="">
			<div class="pos-rel default-size">
				Name: <span class="ng-input-align-right"> <input type="text" name="studentname" ng-model="studentname" ng-minlength="5" ng-maxlength="32" ng-pattern="/^\w{2,14}\s\w{2,14}$/"/></span>
				<div ng-show="turnitinForm.studentname.$invalid && turnitinForm.studentname.$dirty" >
				    Student name is not valid!
				</div>
			</div>
			<div class="pos-rel default-size">
				Student id: <span class="ng-input-align-right"><input type="text" name="id" ng-model="id" ng-minlength="6" ng-maxlength="6" ng-pattern="/^\d+$/"/></span>
				<div ng-show="turnitinForm.id.$invalid && turnitinForm.id.$dirty" >
				    Student id is not valid!
				</div>
			</div>
			<div class="pos-rel default-size">
				Email: <span class="ng-input-align-right"><input type="email" name="email" ng-model="email" ng-minlength="5" ng-minlength="48" ng-pattern="/^[A-z0-9._]{1,24}@{1}\w{1,16}\.[A-z]{2,3}$/" /></span>
				<div ng-show="turnitinForm.email.$invalid && turnitinForm.email.$dirty" >
				    Email is not valid!
				</div>
			</div>
				<!--
				Make an input named "email"
				-->
			</div>
			<div class="pos-rel default-size">
				Assignment: <span class="ng-input-align-right"><input type="text" name="assignment" ng-model="assignment"/></span>
				<!--
				Make an input named "assignment"
				-->
				
			</div>

			<div class="pos-rel height-X2">
				Code: <span class="ng-input-align-right"><textarea name="code" ng-model="code">{{code}}</textarea></span>
				<!--
				Make an input named "code" which is a text area to put student's code into.
				-->
				
			</div>
			<div class="pos-rel default-size">
				Cheat: <span class="ng-input-align-right"><input type="checkbox" name="cheat" ng-model="cheat"/></span>
			<!--
				Make an input named "cheat" which is a check box the student must check.
			-->
			</div>
			<div class="pos-rel height-X3">
				Pay: <span class="ng-input-align-right"><span class="ng-input-subgroup" ng-repeat="p in payments">{{p}}
				<input type="radio" name="payment" ng-model="payment" value="{{p}}"/>
				</span></span>
			<!--
				Make an input named "payment" which is a radio box with possible values of visa, paypal, mastercard
			-->
			</div>
			<div class="pos-rel default-size">
				Score:
				<span class="ng-input-align-right">
      <select ng-model="score">
        <option ng-repeat="s in scores" value="{{s}}">{{s}}</option>
      </select>
      </span>
      
			<!--
				Make an input named "score" which is a list of choices for the score 
			-->
			</div>
			<input type="submit" ng-model="submit"/>
		</form>
		<a href="http://jigsaw.w3.org/css-validator/check/referer">Validate</a>
	</body>
</html>
